Adds an HTTP header to the headers of the request

- « EventHttpRequest

- EventHttpRequest::cancel »

- PHP Manual
- EventHttpRequest
- Adds an HTTP header to the headers of the request

# EventHttpRequest::addHeader

(PECL event >= 1.4.0-beta)

EventHttpRequest::addHeader — Adds an HTTP header to the headers of the request

### Description

public EventHttpRequest::addHeader( string `$key` , string `$value` , int `$type` ): bool

Adds an HTTP header to the headers of the request.

### Parameters

`key`

  Header name.

`value`

  Header value.

`type`

  One of `EventHttpRequest::*_HEADER` constants.

### Return Values

Returns `true` on success or `false` on failure.

### See Also

- EventHttpRequest::removeHeader() - Removes an HTTP header from the headers of the request